<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: GODDeSS_Messenger Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>GODDeSS_Messenger Class Reference</h1><!-- doxytag: class="GODDeSS_Messenger" -->
<p>a class to store and provide variables which are needed in different parts of the GODDeSS  
</p>

<p><a href="classGODDeSS__Messenger-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__Messenger.html#af69cd6e96f08ec57b35a7dfb70b58cfb">GODDeSS_Messenger</a> (vector&lt; G4double &gt; energyRangeVector)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__Messenger.html#a0c690ce6f0e512e693486b42b534b77f">~GODDeSS_Messenger</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__Messenger.html#ab2afc5a906cbad19e98dae542cb2d9a4">GetDataStorage</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classFibreConstructor.html">FibreConstructor</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__Messenger.html#ae85838644b62a0ef48af806f5f338122">GetFibreConstructor</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__Messenger.html#a090116a59fcdf47be426d94cf365536e">GetPhotonDetectorConstructor</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__Messenger.html#af64c4b08d0c07c2658851b3990fb78d8">GetPropertyToolsManager</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__Messenger.html#a1d8e9df4418e2b01a8b639042a3b821b">GetScintillatorTileConstructor</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__Messenger.html#ad488f9737e3d1a3977aa691c5bfd9653">SetFibreConstructor</a> (<a class="el" href="classFibreConstructor.html">FibreConstructor</a> *fibreConstructor)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__Messenger.html#a4ac05b7065685349b80577db9b2cc4e0">SetPhotonDetectorConstructor</a> (<a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a> *photonDetectorConstructor)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__Messenger.html#ada2acd24c4d43842b89be6e44621572a">SetScintillatorTileConstructor</a> (<a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a> *scintillatorTileConstructor)</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af69cd6e96f08ec57b35a7dfb70b58cfb"></a><!-- doxytag: member="GODDeSS_Messenger::GODDeSS_Messenger" ref="af69cd6e96f08ec57b35a7dfb70b58cfb" args="(vector&lt; G4double &gt; energyRangeVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GODDeSS_Messenger::GODDeSS_Messenger </td>
          <td>(</td>
          <td class="paramtype">vector&lt; G4double &gt;&nbsp;</td>
          <td class="paramname"> <em>energyRangeVector</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values</li>
<li>creates a data storage object (<a class="el" href="classGODDeSS__DataStorage.html" title="a class to save the data which was taken by the sensitive detectors">GODDeSS_DataStorage</a>)</li>
<li>creates a property tools manager object (<a class="el" href="classPropertyToolsManager.html" title="a class making the processing of the properties etc. much easier.">PropertyToolsManager</a>) </li>
</ul>

</div>
</div>
<a class="anchor" id="a0c690ce6f0e512e693486b42b534b77f"></a><!-- doxytag: member="GODDeSS_Messenger::~GODDeSS_Messenger" ref="a0c690ce6f0e512e693486b42b534b77f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GODDeSS_Messenger::~GODDeSS_Messenger </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab2afc5a906cbad19e98dae542cb2d9a4"></a><!-- doxytag: member="GODDeSS_Messenger::GetDataStorage" ref="ab2afc5a906cbad19e98dae542cb2d9a4" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a>* GODDeSS_Messenger::GetDataStorage </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the <a class="el" href="classGODDeSS__DataStorage.html" title="a class to save the data which was taken by the sensitive detectors">GODDeSS_DataStorage</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ae85838644b62a0ef48af806f5f338122"></a><!-- doxytag: member="GODDeSS_Messenger::GetFibreConstructor" ref="ae85838644b62a0ef48af806f5f338122" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classFibreConstructor.html">FibreConstructor</a>* GODDeSS_Messenger::GetFibreConstructor </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the <a class="el" href="classFibreConstructor.html" title="a class making it easier and more flexible to create G4Fibre objects.  Additionally...">FibreConstructor</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a090116a59fcdf47be426d94cf365536e"></a><!-- doxytag: member="GODDeSS_Messenger::GetPhotonDetectorConstructor" ref="a090116a59fcdf47be426d94cf365536e" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a>* GODDeSS_Messenger::GetPhotonDetectorConstructor </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the <a class="el" href="classPhotonDetectorConstructor.html" title="a class making it easier and more flexible to create G4PhotonDetector objects.  Additionally...">PhotonDetectorConstructor</a> </dd></dl>

</div>
</div>
<a class="anchor" id="af64c4b08d0c07c2658851b3990fb78d8"></a><!-- doxytag: member="GODDeSS_Messenger::GetPropertyToolsManager" ref="af64c4b08d0c07c2658851b3990fb78d8" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a>* GODDeSS_Messenger::GetPropertyToolsManager </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the <a class="el" href="classPropertyToolsManager.html" title="a class making the processing of the properties etc. much easier.">PropertyToolsManager</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a1d8e9df4418e2b01a8b639042a3b821b"></a><!-- doxytag: member="GODDeSS_Messenger::GetScintillatorTileConstructor" ref="a1d8e9df4418e2b01a8b639042a3b821b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a>* GODDeSS_Messenger::GetScintillatorTileConstructor </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the <a class="el" href="classScintillatorTileConstructor.html" title="a class making it easier and more flexible to create G4ScintillatorTile and G4Wrapping...">ScintillatorTileConstructor</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ad488f9737e3d1a3977aa691c5bfd9653"></a><!-- doxytag: member="GODDeSS_Messenger::SetFibreConstructor" ref="ad488f9737e3d1a3977aa691c5bfd9653" args="(FibreConstructor *fibreConstructor)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_Messenger::SetFibreConstructor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classFibreConstructor.html">FibreConstructor</a> *&nbsp;</td>
          <td class="paramname"> <em>fibreConstructor</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the pointer to the <a class="el" href="classFibreConstructor.html" title="a class making it easier and more flexible to create G4Fibre objects.  Additionally...">FibreConstructor</a>. </p>

</div>
</div>
<a class="anchor" id="a4ac05b7065685349b80577db9b2cc4e0"></a><!-- doxytag: member="GODDeSS_Messenger::SetPhotonDetectorConstructor" ref="a4ac05b7065685349b80577db9b2cc4e0" args="(PhotonDetectorConstructor *photonDetectorConstructor)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_Messenger::SetPhotonDetectorConstructor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a> *&nbsp;</td>
          <td class="paramname"> <em>photonDetectorConstructor</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the pointer to the <a class="el" href="classPhotonDetectorConstructor.html" title="a class making it easier and more flexible to create G4PhotonDetector objects.  Additionally...">PhotonDetectorConstructor</a>. </p>

</div>
</div>
<a class="anchor" id="ada2acd24c4d43842b89be6e44621572a"></a><!-- doxytag: member="GODDeSS_Messenger::SetScintillatorTileConstructor" ref="ada2acd24c4d43842b89be6e44621572a" args="(ScintillatorTileConstructor *scintillatorTileConstructor)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_Messenger::SetScintillatorTileConstructor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classScintillatorTileConstructor.html">ScintillatorTileConstructor</a> *&nbsp;</td>
          <td class="paramname"> <em>scintillatorTileConstructor</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Set the pointer to the <a class="el" href="classScintillatorTileConstructor.html" title="a class making it easier and more flexible to create G4ScintillatorTile and G4Wrapping...">ScintillatorTileConstructor</a>. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 13 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
